import {
  createFeatureSelector,
  createSelector,
  MetaReducer
} from '@ngrx/store';

import * as fromRouter from '@ngrx/router-store';

import { environment } from '@environments';

import { State as AuthenticationState } from './authentication/state';

export interface State {
  appRouter: fromRouter.RouterReducerState<any>;
  appAuthentication: AuthenticationState;
}

export const metaReducers: MetaReducer<State>[] = !environment.production
  ? []
  : [];
